summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Mikko Värri2011-12-12 17:37:55 +0100
committer Niels Horn2011-12-18 03:07:47 +0100
commitcd1cee2e69fc728a019e35d96bb325eb0f937b93 (patch)
tree3900896bbd9be64218ba11b5f11a8eab51cb141a /perl
parenta55517c1aff25a0a629e83c652284e3fec6421ec (diff)
downloadslackbuilds-cd1cee2e69fc728a019e35d96bb325eb0f937b93.tar.gz
perl/perl-Config-Find: Added (Find configuration files)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Config-Find/README5
-rw-r--r--perl/perl-Config-Find/perl-Config-Find.SlackBuild66
-rw-r--r--perl/perl-Config-Find/perl-Config-Find.info10
-rw-r--r--perl/perl-Config-Find/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/perl/perl-Config-Find/README b/perl/perl-Config-Find/README
new file mode 100644
index 0000000000..a6bf201631
--- /dev/null
+++ b/perl/perl-Config-Find/README
@@ -0,0 +1,5 @@
+Every OS has different rules for configuration files placement, this
+module allows to easily find and create your app configuration files
+following those rules.
+
+This requires perl-File-Which and perl-File-HomeDir.
diff --git a/perl/perl-Config-Find/perl-Config-Find.SlackBuild b/perl/perl-Config-Find/perl-Config-Find.SlackBuild
new file mode 100644
index 0000000000..ff2b2653aa
--- /dev/null
+++ b/perl/perl-Config-Find/perl-Config-Find.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for Config-Find
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=perl-Config-Find
+VERSION=${VERSION:-0.26}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Config-Find/perl-Config-Find.info b/perl/perl-Config-Find/perl-Config-Find.info
new file mode 100644
index 0000000000..1f58c3c381
--- /dev/null
+++ b/perl/perl-Config-Find/perl-Config-Find.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Config-Find"
+VERSION="0.26"
+HOMEPAGE="http://search.cpan.org/~salva/Config-Find/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/S/SA/SALVA/Config-Find-0.26.tar.gz"
+MD5SUM="2e59d9c442a032dbf7db36013bb1dbcb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/perl/perl-Config-Find/slack-desc b/perl/perl-Config-Find/slack-desc
new file mode 100644
index 0000000000..a2e4390784
--- /dev/null
+++ b/perl/perl-Config-Find/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Config-Find: perl-Config-Find (Find configuration files in the native OS fashion)
+perl-Config-Find:
+perl-Config-Find: Every OS has different rules for configuration files placement, this
+perl-Config-Find: module allows to easily find and create your app configuration files
+perl-Config-Find: following those rules.
+perl-Config-Find:
+perl-Config-Find:
+perl-Config-Find:
+perl-Config-Find:
+perl-Config-Find:
+perl-Config-Find: